`timescale 1ns / 1ps
module stimulus;
	// Inputs
	reg clk;       
	reg rst_n;     
	// Outputs
	wire [3:0]led;          
	// Instantiate the Unit Under Test (UUT)
	aZXSpectrum uut (
		.clk(clk), 
		.rst_n(rst_n), 
		.led(led),
		.vga_hsync(vga_hsync),
		.vga_vsync(vga_vsync),
		.out_R(out_R),
		.out_G(out_G),
		.out_B(out_B)
	);
 	integer i;
	initial begin
	$dumpfile("test.vcd");
	$dumpvars(0,stimulus);
		clk = 0;
		rst_n = 1;
	
	#1 rst_n = 0;
	#1 clk = 1;
	#1 clk = 0;
	#1 rst_n = 1;
    for (i = 0; i <= 2100000; i = i + 1) begin
        #10 clk = ~clk;
    end

    #2 ;	

 	end

		initial begin
		 $monitor("t=%3d x=%d,y=%d,z=%d \n",$time,clk,rst_n,led[0],led[1],led[2],led[3], );
		 end
 
endmodule
